// import the libraries I need
#include <SPI.h>
#include <nRF24L01p.h>

//setup the pins for the nRF24L01+ module on 10 and 9
nRF24L01p receiver(10,9);//CSN,CE

//setup
void setup(){
  delay(150); //wait before start
  Serial.begin(9600); // set the baudrate
  SPI.begin();  //inizialize the serial peripheral interface
  SPI.setBitOrder(MSBFIRST);  //how the serial shifter may work: Most Significant Bit First
  Serial.println("I'm listening");  //just print a message to see that is ready
  receiver.channel(90);  //set the comunication channel
  receiver.RXaddress("Nick");  //address name for the receiver
  receiver.init(); // inizialize the receiver
}

String message; // set a name for the string that contain the message

void loop(){ 
  if(receiver.available()){  //If receiver is ready
    receiver.read();  // read from serial port
    receiver.rxPL(message); //prepare the packet into the message string
    if(message.length()>0) //if there is a message
    {
      if (message=="Ciao!"){ //is message is "Ciao!"
        Serial.println("Ciao!"); // say Ciao!
      }
      else{ //else
        Serial.println("Scostumato salutami!");  //say him he is a boor
      }
      message="";  //clean the message
    }
  }
}
