//import the libraries I need
#include <SPI.h>
#include <nRF24L01p.h>

//setup the pins for the nRF24L01+ module on 10 and 9
nRF24L01p transmitter(10,9);//CSN,CE

// main setup
void setup(){
  delay(150); //wait before start
  Serial.begin(9600); // set the baudrate
  SPI.begin();  //inizialize the serial peripheral interface
  SPI.setBitOrder(MSBFIRST);  //how the serial shifter may work: Most Significant Bit First
  Serial.println("I'm ready to talk");  //just print a message to see that is ready
  transmitter.channel(90);  //set the comunication channel
  transmitter.TXaddress("John");  //address name for the trasmitter
  transmitter.init(); // inizialize the trasmitter
}

String message;  // set a name for the string that contain the message

void loop(){  // the infinite loop
  if(Serial.available()>0){   //if there is a serial connection avaible
    char character=Serial.read();  //read the character on serial port
    if(character=='\n'){ // if the string end with a return (/n in code)
      transmitter.txPL(message); //prepare the message to TX
      transmitter.send(SLOW);  //send the message
      message="";  //clean the message
    }else{
      message+=character; //if the sting not is send (it not has the final return) put each character on the string
    }
  }
}
